# Interface SourceCodeAnalysis.Documentation

Enclosing class:
  `SourceCodeAnalysis`

public static interface SourceCodeAnalysis.Documentation
A documentation for a candidate for continuation of the given user's input.

Since:
  9

## Method Summary

Modifier and Type
Method
Description
`String`
`javadoc()`
The javadoc of the given element.
`String`
`signature()`
The signature of the given element.

## Method Details

### signature

String signature()
The signature of the given element.

Returns:
  the signature

### javadoc

String javadoc()
The javadoc of the given element.

Returns:
  the javadoc, or null if not found or not requested